Ableton Push version compatibility

Akai just confirmed directly to me via twitter that the new Push controller (to be released end of February 2013) will require Ableton Live 9 and above to fully function:

@Akai_Pro: @glitzerstrahl ^SB I believe you should be able to manually map some features in previous versions however you need the latest version

@Akai_Pro: @glitzerstrahl ^SB To fully benefit from the deep integration.

This is really a pity. I was hoping the controller, given its price point, would be made available to users of the earlier versions of Live as well…

I guess it’s just a matter of time though before someone creates a custom midi map that let’s version 8 users take advantage of it…

Advertisements

2 thoughts on “Ableton Push version compatibility

    • Maybe you can argue that, but I think it all depends on the musical style whether a tool like Push really becomes a must…

      So far the interfaces for live have been very performance oriented. I think Push is going in a slightly different direction as it also caters to those of us that use Live primarily for composing…

      Look at NI Maschine for example. Does it make any sense to use that software without the controller? For me personally it does, even though the controller simplifies things a lot…

      Like

What do you think?

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s